<?php 
/*
 
Plugin Name: Advanced Fancybox
Plugin URI: http://www.appchain.com/2009/07/advanced-fancybox-1-0/
Description: Fancybox (lightbox) fully copatible for wordpress.
Author: Turcu Ciprian
License: GPL
Version: 1.0.5
Author URI: http://www.appchain.com

*/
function myplugin_addbuttons() {

   // Don't bother doing this stuff if the current user lacks permissions
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
 
   // Add only in Rich Editor mode
   if ( get_user_option('rich_editing') == 'true') {
		 add_filter("mce_external_plugins", "add_myplugin_tinymce_plugin");
		 add_filter('mce_buttons', 'register_myplugin_button');
   }
}
 
function register_myplugin_button($buttons) {
   array_push($buttons, "advancedfancybox");
   return $buttons;
}
 
// Load the TinyMCE plugin : editor_plugin.js (wp2.5)
function add_myplugin_tinymce_plugin($plugin_array) {
   $plugin_array['advancedfancyboxplugin'] = get_option('home').'/wp-content/plugins/advanced-fancybox/tinymce/script.js';
   return $plugin_array;
}



function Advanced_Fancybox_Add_Style(){
	?>
	<!-- Start "Advanced Fancybox" includes -->
	<script type="text/javascript" src="<?php echo bloginfo('url'); ?>/wp-content/plugins/advanced-fancybox/fancybox/jquery-1.3.2.min.js"></script> 
	<!-- for jquery <script type="text/javascript" src="<?php echo bloginfo('url'); ?>/wp-content/plugins/advanced-fancybox/fancybox/jquery.easing.1.3.js"></script>  -->
	<script type="text/javascript" src="<?php echo bloginfo('url'); ?>/wp-content/plugins/advanced-fancybox/fancybox/jquery.fancybox-1.2.1.pack.js"></script> 
	<link rel="stylesheet" href="<?php echo bloginfo('url'); ?>/wp-content/plugins/advanced-fancybox/fancybox/jquery.fancybox.css" type="text/css" media="screen" />
	<style type="text/css">
	.xHidd{
	visibility:hidden;
	overflow:hidden;
	width:1px;
	height:1px;
	}
	</style>
	<?php 
		$advanced_fancybox_info = unserialize(get_option('advanced_fancybox_info'));
		if($advanced_fancybox_info[0]==""){
			$advanced_fancybox_info[0]=500;
			$advanced_fancybox_info[1]=400;
		}
	?>
	<script type="text/javascript">
		$(document).ready(function() {
			$("a.advfancybox").fancybox({ 'frameWidth': <?php echo $advanced_fancybox_info[0];?>, 'frameHeight': <?php echo $advanced_fancybox_info[1];?>}); 
		});
	</script>
	<!-- End "Advanced Fancybox" includes -->
	<?php
	}
	function admin_initx(){
	?>
		<script type="text/javascript">
		function xTestx(xType, xVal){
			var xextra = '';
			if(xType==1){
				xextra = ' class="advfancybox" href="#'+xVal+'" ';
			}else if(xType==2){
					xextra = ' class="advfancybox" href="'+xVal+'" rel="group"';
			}else if(xType==3){
					xextra = ' class="advfancybox iframe" href="'+xVal+'" ';
			}
			var selectionx = tinyMCE.activeEditor.selection.getContent({format : 'text'});
			var xtext = '<a '+xextra+' >'+selectionx+'</a>';
			tinyMCE.activeEditor.execCommand('mceReplaceContent', true, xtext);
		}
		</script>
	<?php
	}
	function Advanced_Fancybox_insert_post(){
	global $post;
	$thePostID = $post->ID;
	$xResult = '';
		$meta_values = get_post_meta($thePostID, "fancybox", true);
		if($meta_values!=""){
			$xResult = '<div id="fancybox" class="xHidd">'.$meta_values.'</div>';
		}
		$meta_values1 = get_post_meta($thePostID, "fancybox1", true);
		if($meta_values1!=""){
			$xResult .=  '<div id="fancybox1" class="xHidd">'.$meta_values1.'</div>';
		}
		$meta_values2 = get_post_meta($thePostID, "fancybox2", true);
		if($meta_values2!=""){
			$xResult .=  '<div id="fancybox2" class="xHidd">'.$meta_values2.'</div>';
		}
		$meta_values3 = get_post_meta($thePostID, "fancybox3", true);
		if($meta_values3!=""){
			$xResult .=  '<div id="fancybox3" class="xHidd">'.$meta_values3.'</div>';
		}
		$xFinal = format_to_post($post->post_content);
		$xFinal = wpautop($xFinal);

		
		$xResult = $xFinal.$xResult;
		return $xResult;
	}
	function Advanced_Fancybox_Include(){
		include('pages/AdminPage.php');
	}
	function Advanced_Fancybox_Init(){
	if($_POST['advanced_fancybox_Hidd']=="advanced_fancybox_Hidd"){
		$advanced_fancybox_frameWidth = $_POST['advanced_fancybox_frameWidth'];
		$advanced_fancybox_frameHeight = $_POST['advanced_fancybox_frameHeight'];
		$advanced_fancybox_info[0]=$advanced_fancybox_frameWidth;
		$advanced_fancybox_info[1]=$advanced_fancybox_frameHeight;
		
		update_option('advanced_fancybox_info', serialize($advanced_fancybox_info));
	}

	add_options_page('My Plugin Options', 'Advanced Fancybox', 8, _FILE_, 'Advanced_Fancybox_Include');
	}
	//start code
	add_action('wp_print_styles', 'Advanced_Fancybox_Add_Style');
	add_action('admin_print_styles', 'admin_initx');
	// init process for button control
	add_action('init', 'myplugin_addbuttons');
	add_filter('the_content', 'Advanced_Fancybox_insert_post');
	add_action('admin_menu', 'Advanced_Fancybox_Init');
	?>